package example.ws.matcher;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.Properties;
import org.semanticweb.owl.align.Alignment;
import org.semanticweb.owl.align.AlignmentException;
import org.semanticweb.owl.align.AlignmentProcess;
import fr.inrialpes.exmo.align.impl.URIAlignment;


public class MyAlignment extends URIAlignment implements AlignmentProcess {
	
	public void align(Alignment alignment, Properties params) throws AlignmentException {
		// well ... your code should create the cells = correspondences
		// taking a look into the ontologies
		try {
			this.addAlignCell(new URI("http://abc#someconcept"), new URI("http://xyz#someconcept"), "=", 0.98);
		}
		catch (URISyntaxException e) {
			e.printStackTrace();
		}
	}
}


